Bug 439042 - Need better error for reassigning ents. to base org
Need better error for reassigning ents. to base org
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
Depends On:
Blocks: 456998
  Show dependency treegraph
Reported: 2008-03-26 13:25 EDT by Justin Sherrill
Modified: 2010-10-22 19:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 15:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-03-26 13:25:13 EDT
Currently when activating a cert with an entitelment missing or reduced (from
the initial cert), you get this error:

ERROR:: You do not have enough entitlements in the base org

There is no indication which entitlement needs to be freed up, meaning you have
to figure it out yourself.  Something that isn't very easy.
Comment 1 wes hayutin 2008-03-26 15:05:04 EDT
I think you get that error if you have given more entitlements out to orgs > 1
then your new certificate has total.

I agree the specific channel would be nice, however I think we all have agreed
this is a very low use case of customers reducing their certificate counts.
Comment 2 Michael Kearey 2008-07-14 22:12:24 EDT
It is not really a low use case - A very common scenario is where a new
Satellite customer has been using their Satellite during an evaluation period.
The default cert issued has a certain number of entitlements enabled and
available, and so he goes ahead and installs a large number of systems.
Eventually the eval period ends and they make a purchase. If the number of
entitlements is lower than the systems they have registered, we hit this problem.

Comment 10 Preethi Thomas 2009-05-01 09:57:56 EDT

see corey's comment#8 & comment#9 from above.
Comment 12 Preethi Thomas 2009-05-26 16:17:35 EDT
the message is fixed now.
Comment 13 wes hayutin 2009-07-31 10:22:16 EDT
Attempting local RHN Certificate push (and therefore activation)
Error: You do not have enough unused virtualization_host_platform entitlements in the base org. You will need at least 99900 free entitlements, based on your current consumption. Please un-entitle the remaining systems for the activation to proceed.

release pending
Comment 14 Brandon Perkins 2009-09-10 15:47:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.